As a User I would like to get puppet related data of the smart proxy
Assignee: Tomer Brisker   

Category: Smart Proxy   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  
Description

In the proxy's show page - I would like to know how many puppet classes are on that proxy

Related issues:

Related to Smart Proxy - Feature #12948: as an api user, i would like to quer... New 12/28/2015

Related to Foreman - Bug #13354: unable to show puppet certificates lists whe... Closed 01/25/2016

Related to Smart Proxy - Feature #12896: Allow proxy to list puppet class cou... Rejected 12/21/2015

Related to Foreman - Bug #13370: puppet certificate fingerprint is not shown ... Closed 01/26/2016

Related to Foreman - Bug #13726: pending puppet certificates can't be removed Closed 02/16/2016

Related to Foreman - Feature #14059: Puppet CA Certificate Search Resolved 03/04/2016

Blocks Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 2ac8d7ba - 01/25/2016 06:02 AM - Tomer Brisker

Fixes #12720 - Add tabs for puppet on proxy show page

This patch adds two tabs to the proxy show page related to puppet

1. Puppet - this tab is for proxies managing a puppet master. This tab

displays information about the puppet master, such as number of classes

in each environment, latest reports and so on.

2. Puppet CA - This tab incorporates the two seperate pages that were

already present for managing the puppet ca's certificates and autosign

entry. It also incorporated the new autosign form in a modal view.

Revision 2f84e724 - 01/26/2016 03:13 AM - Tomer Brisker

Refs #12720 - Allow puppet CA cache to work for https proxies

When dumping CA certificates to cache, the status object is also dumped.

Since the status object points to the API resource, Marshal will try

dumping the API resource as well. This will fail for https proxies as

the SSL certificates cannot be dumped. This prevents the dumping of the

api link which will be recreated once the object is loaded back from

cache.

Revision d2b59cee - 02/24/2016 03:54 AM - Daniel Lobato Garcia

Refs #12720 - Typo in PuppetCA certificates page

Tab title is 'certficates' instead of 'certificates'

Revision 92394d0b - 02/24/2016 12:32 PM - Daniel Lobato Garcia
Refs #12720 - Typo in PuppetCA certificates page

Tab title is 'certficates' instead of 'certificates'

(cherry picked from commit d2b59cee7e17b9231422b2dca405d72f78a0920c)

History

#1 - 12/07/2015 04:07 AM - Shlomi Zadok

- Blocked by Tracker #12507: Smart Proxy UX improvments added

#2 - 12/14/2015 02:54 AM - Shlomi Zadok

- Blocked by deleted (Tracker #12507: Smart Proxy UX improvments)

#3 - 12/14/2015 02:55 AM - Shlomi Zadok

- Blocks Tracker #12507: Smart Proxy UX improvments added

#4 - 12/21/2015 07:36 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#5 - 12/21/2015 08:00 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/356 added

#6 - 12/21/2015 09:38 AM - Tomer Brisker

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/356)

#7 - 12/21/2015 10:06 AM - Tomer Brisker

- Blocked by Feature #12896: Allow proxy to list puppet class counts  added

#8 - 12/21/2015 10:07 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/356 added

#9 - 12/21/2015 10:10 AM - Tomer Brisker

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/356)

#10 - 12/28/2015 05:26 AM - Shlomi Zadok

- Subject changed from As a User I would like to know how many puppet classes are on the puppet-proxy to As a User I would like to get puppet

related data of the smart proxy

As a user I would like to know how many certificates, pending certificates, revoked certificates, etc. are on the smart proxy

As a user, I would like to know how many puppet classes are on the puppet-proxy

#11 - 12/28/2015 06:34 AM - Ohad Levy

- Related to Feature #12948: as an api user, i would like to query puppet ca certificate additional information added

#12 - 01/03/2016 07:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3018 added

#13 - 01/25/2016 07:02 AM - Ohad Levy

- Related to Bug #13354: unable to show puppet certificates lists when there are pending certificates added
#14 - 01/25/2016 07:05 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2ac8d7badce0267c5b5fca4977c070b28b3f4f58.

#15 - 01/25/2016 07:36 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#16 - 01/25/2016 07:49 AM - Dominic Cleal

- Blocked by deleted (Feature #12896: Allow proxy to list puppet class counts )

#17 - 01/25/2016 07:49 AM - Dominic Cleal

- Related to Feature #12896: Allow proxy to list puppet class counts  added

#18 - 01/25/2016 08:52 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3119 added

#19 - 01/26/2016 04:39 AM - Ohad Levy

- Related to Bug #13370: puppet certificate fingerprint is not shown correctly added

#20 - 02/16/2016 06:42 AM - Ohad Levy

- Related to Bug #13726: pending puppet certificates can't be removed added

#21 - 02/22/2016 07:14 AM - Dominic Cleal

- Category set to Smart Proxy

#22 - 02/24/2016 03:42 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3223 added

#23 - 03/07/2016 04:03 AM - Dominic Cleal

- Related to Feature #14059: Puppet CA Certificate Search added
